Package org.apache.sysds.runtime.matrix.data.sketch

## Class CountDistinctSketch

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.sketch.CountDistinctSketch

All Implemented Interfaces:
  `MatrixSketch`

Direct Known Subclasses:
  `CountDistinctFunctionSketch`, `KMVSketch`

    public abstract class CountDistinctSketch
    extends Object
    implements MatrixSketch

### Field Summary

Fields
`CountDistinctOperator` `op`

### Constructor Summary

Constructors
`CountDistinctSketch​(Operator op)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.matrix.data.sketch.MatrixSketch

`create, getValue, getValueFromSketch, intersection, union`

### Field Detail

#### op

    public final CountDistinctOperator op

### Constructor Detail

#### CountDistinctSketch

    public CountDistinctSketch​(Operator op)